Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.beans.filter
Class AbleTranslateTemplate

    java.lang.Object
      com.ibm.able.beans.filter.AbleTranslateTemplate

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class AbleTranslateTemplate
extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

This class describes the translation that should be done to a single data field or vector of identical fields.

See Also:
  Serialized Form

Field Summary
`protected static long` | `serialVersionUID`

Constructor Summary
`AbleTranslateTemplate()`
`AbleTranslateTemplate(AbleTranslateTemplate theRec)`
`AbleTranslateTemplate(java.lang.String theName, int theUsage, int theNumRepeats, AbleTranslateOperator thePreOp, int theInType, int theInLength, AbleTranslateOperator theTransOp, int theOutType, int theOutLength, AbleTranslateOperator thePostOp)`
`AbleTranslateTemplate(java.lang.String theName, int theUsage, int theNumRepeats, int theInType, int theInLength, int theOutType, int theOutLength)`

Method Summary
`java.lang.Object` | `clone()`
`java.util.Vector` | `getEditData()`
`AbleFilter` | `getFilter()`
`int` | `getInLength()`
`int` | `getInType()`
`java.lang.String` | `getName()`
`int` | `getNumRepeats()`
`AbleTranslateOperator` | `getOperator()`
`int` | `getOutLength()`
`int` | `getOutType()`
`AbleTranslateOperator` | `getPostOperator()`
`AbleTranslateOperator` | `getPreOperator()`
`int` | `getUsage()`
`int` | `getValue()`
`void` | `setFilter(AbleFilter newFilter)`
`void` | `setInLength(int newInLength)`
`void` | `setInLength(java.lang.String newInLength)`
`void` | `setInType(int newInType)`
`void` | `setInType(java.lang.String newInType)`
`void` | `setName(java.lang.String newName)`
`void` | `setNumRepeats(int newRepeats)`
`void` | `setNumRepeats(java.lang.String newRepeats)`
`void` | `setOperator(AbleTranslateOperator newOperator)`
`void` | `setOutLength(int newOutLength)`
`void` | `setOutLength(java.lang.String newOutLength)`
`void` | `setOutType(int newOutType)`
`void` | `setOutType(java.lang.String newOutType)`
`void` | `setPostOperator(AbleTranslateOperator newPostOperator)`
`void` | `setPreOperator(AbleTranslateOperator newPreOperator)`
`void` | `setUsage(int newUsage)`
`void` | `setUsage(java.lang.String newUsage)`
`void` | `update(java.util.Vector parms)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    protected static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### AbleTranslateTemplate

    public AbleTranslateTemplate()

### AbleTranslateTemplate

    public AbleTranslateTemplate(java.lang.String theName,
                                 int theUsage,
                                 int theNumRepeats,
                                 int theInType,
                                 int theInLength,
                                 int theOutType,
                                 int theOutLength)

### AbleTranslateTemplate

    public AbleTranslateTemplate(java.lang.String theName,
                                 int theUsage,
                                 int theNumRepeats,
                                 AbleTranslateOperator thePreOp,
                                 int theInType,
                                 int theInLength,
                                 AbleTranslateOperator theTransOp,
                                 int theOutType,
                                 int theOutLength,
                                 AbleTranslateOperator thePostOp)

### AbleTranslateTemplate

    public AbleTranslateTemplate(AbleTranslateTemplate theRec)

Method Detail

### clone

    public java.lang.Object clone()

### update

    public void update(java.util.Vector parms)

### getEditData

    public java.util.Vector getEditData()

### getName

    public java.lang.String getName()

### getUsage

    public int getUsage()

### getNumRepeats

    public int getNumRepeats()

### getPreOperator

    public AbleTranslateOperator getPreOperator()

### getInType

    public int getInType()

### getInLength

    public int getInLength()

### getOperator

    public AbleTranslateOperator getOperator()

### getOutType

    public int getOutType()

### getOutLength

    public int getOutLength()

### getPostOperator

    public AbleTranslateOperator getPostOperator()

### getValue

    public int getValue()

### getFilter

    public AbleFilter getFilter()

### setName

    public void setName(java.lang.String newName)

### setUsage

    public void setUsage(int newUsage)

### setUsage

    public void setUsage(java.lang.String newUsage)

### setNumRepeats

    public void setNumRepeats(int newRepeats)

### setNumRepeats

    public void setNumRepeats(java.lang.String newRepeats)

### setPreOperator

    public void setPreOperator(AbleTranslateOperator newPreOperator)

### setInType

    public void setInType(int newInType)

### setInType

    public void setInType(java.lang.String newInType)

### setInLength

    public void setInLength(int newInLength)

### setInLength

    public void setInLength(java.lang.String newInLength)

### setOperator

    public void setOperator(AbleTranslateOperator newOperator)

### setOutType

    public void setOutType(int newOutType)

### setOutType

    public void setOutType(java.lang.String newOutType)

### setOutLength

    public void setOutLength(int newOutLength)

### setOutLength

    public void setOutLength(java.lang.String newOutLength)

### setPostOperator

    public void setPostOperator(AbleTranslateOperator newPostOperator)

### setFilter

    public void setFilter(AbleFilter newFilter)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005